Folder: deleteRecursive

Recursively deletes a non-empty folder and all its contents from a bucket with hierarchical namespace enabled.

This method also deletes any managed folders that are associated with the folder you are deleting. For more information about associated managed folders, see Associated managed folders. When deleting an associated managed folder as part of a folder deleteRecursive operation, the rules and permission requirements for explicitly deleting managed folders apply. To find the rules and permission requirements for deleting managed folders, see the ManagedFolder: delete method.

Required permissions

The authenticated user must have the storage.folders.delete IAM permission to use this method. If the folder has an associated managed folder, the user must also have the storage.managedFolders.delete permission on the associated managed folder.

Request

HTTP request

POST https://storage.googleapis.com/storage/v1/b/bucket/folders/folder/deleteRecursive

In addition to standard query parameters, the following parameters apply to this method.

To see an example of how to include query parameters in a request, see the JSON API Overview page.

Parameters

Parameter name Value Description
Path parameters
bucket string The parent bucket of the folder.
folder string The URL-encoded name of the folder. For example, example-folder/ URL-encoded as example-folder%2F. If the folder is nested, for example, example-folder1/example-folder2/, then the URL-encoded name is example-folder1%2Fexample-folder2%2F.
Optional query parameters
ifMetagenerationMatch long If set, the method deletes the folder if its metageneration matches this value.
ifMetagenerationNotMatch long If set, the method deletes the folder if its metageneration does not match this value.

Request body

Do not supply a request body with this method.

Response

This method returns a long-running operation.

For information about status and error codes returned by the long-running operation, see Error handling.

Try it!

Use the APIs Explorer below to call this method on live data and see the response.